org.apache.ode.bpel.memdao

## Class ProcessManagementDaoImpl

- java.lang.Object
- - org.apache.ode.bpel.memdao.ProcessManagementDaoImpl

- All Implemented Interfaces:
    ProcessManagementDAO

      public class ProcessManagementDaoImpl
      extends java.lang.Object
      implements ProcessManagementDAO

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.dao.ProcessManagementDAO

      `ProcessManagementDAO.FailedSummaryValue, ProcessManagementDAO.InstanceSummaryKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessManagementDaoImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countInstancesByPidAndString(BpelDAOConnection conn, javax.xml.namespace.QName pid, java.lang.String status)`
    `java.util.Map<ProcessManagementDAO.InstanceSummaryKey,java.lang.Long>` | `countInstancesSummary(java.util.Set<java.lang.String> pids)`
    `java.lang.Object[]` | `findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn, java.lang.String status, java.lang.String processId)`
    `java.util.Map<java.lang.String,ProcessManagementDAO.FailedSummaryValue>` | `findFailedCountAndLastFailedDateForProcessIds(java.util.Set<java.lang.String> pids)`
    `java.util.Date` | `getCreateTime()`
    `void` | `prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessManagementDaoImpl

          public ProcessManagementDaoImpl()

  - ### Method Detail

    - #### findFailedCountAndLastFailedDateForProcessId

          public java.lang.Object[] findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn,
                                                                        java.lang.String status,
                                                                        java.lang.String processId)

    - #### prefetchActivityFailureCounts

          public void prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)

    - #### countInstancesByPidAndString

          public int countInstancesByPidAndString(BpelDAOConnection conn,
                                         javax.xml.namespace.QName pid,
                                         java.lang.String status)

    - #### countInstancesSummary

          public java.util.Map<ProcessManagementDAO.InstanceSummaryKey,java.lang.Long> countInstancesSummary(java.util.Set<java.lang.String> pids)

      Specified by:
        `countInstancesSummary` in interface `ProcessManagementDAO`

    - #### findFailedCountAndLastFailedDateForProcessIds

          public java.util.Map<java.lang.String,ProcessManagementDAO.FailedSummaryValue> findFailedCountAndLastFailedDateForProcessIds(java.util.Set<java.lang.String> pids)

      Specified by:
        `findFailedCountAndLastFailedDateForProcessIds` in interface `ProcessManagementDAO`

    - #### getCreateTime

          public java.util.Date getCreateTime()